Last Comment Bug 756665 - Closing a background tab in tablet mode changes the selected tab.
: Closing a background tab in tablet mode changes the selected tab.
Status: RESOLVED FIXED
: regression
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Firefox 10
: All All
: -- normal (vote)
: Firefox 15
Assigned To: Matt Brubeck (:mbrubeck)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-18 15:07 PDT by Matt Brubeck (:mbrubeck)
Modified: 2012-06-14 15:07 PDT (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (1.60 KB, patch)
2012-05-18 15:07 PDT, Matt Brubeck (:mbrubeck)
mark.finkle: review+
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
lukasblakk+bugs: approval‑mozilla‑esr10+
Details | Diff | Splinter Review

Description Matt Brubeck (:mbrubeck) 2012-05-18 15:07:11 PDT
Created attachment 625281 [details] [diff] [review]
patch

Steps to reproduce (in XUL Fennec, landscape tablet mode):
1. Open three tabs.
2. While tab #3 is selected, close tab #1.

Expected results: Tab #1 is closed; tab #3 is selected.
Actual results:   Tab #1 is closed; tab #2 is selected.

This happens because the click on the close button propagates up to the tab and selects it before closing it.

This is a regression in Firefox 10.  It might be caused by bug 660887, though I haven't verified that.  It's pretty annoying and the fix is incredibly simple, so I'd like to get it into beta and even ESR10 if possible.  It's an incredibly low-risk fix that only touches XUL Fennec.  It wasn't caught sooner because we stopped doing QA and dogfooding of XUL Fennec shortly after the 10.0 release.
Comment 2 Matt Brubeck (:mbrubeck) 2012-05-19 06:44:21 PDT
https://hg.mozilla.org/mozilla-central/rev/9356dc589279
Comment 3 Matt Brubeck (:mbrubeck) 2012-05-21 07:38:55 PDT
Comment on attachment 625281 [details] [diff] [review]
patch

[Approval Request Comment]
Bug caused by (feature/regressing bug #): bug 660887

User impact if declined: Closing tabs can result in unpredictable behavior.

Testing completed (on m-c, etc.): Landed on m-c on 5/19 and passes existing automated tests; but our real test population for XUL Fennec is only on the beta channel.

Risk to taking this patch (and alternatives if risky): Very low-risk one-line patch that touches XUL Fennec only, and fixes a user-facing regression in Fx10.

String or UUID changes made by this patch: None
Comment 4 Alex Keybl [:akeybl] 2012-05-21 15:26:44 PDT
Comment on attachment 625281 [details] [diff] [review]
patch

[Triage Comment]
Approved for all branches since this patch only affects XF, although we likely won't be shipping XF13 or XF14 products.
Comment 5 Matt Brubeck (:mbrubeck) 2012-05-29 07:21:20 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/86ebc83b9671
https://hg.mozilla.org/releases/mozilla-beta/rev/42f99a6eeb62

I'll wait until this has baked on beta before I land it on ESR10.

Alex, do I need to land on a relbranch to hit the next XUL Fennec 13 beta build?
Comment 6 Alex Keybl [:akeybl] 2012-05-30 07:10:07 PDT
(In reply to Matt Brubeck (:mbrubeck) from comment #5)
> https://hg.mozilla.org/releases/mozilla-aurora/rev/86ebc83b9671
> https://hg.mozilla.org/releases/mozilla-beta/rev/42f99a6eeb62
> 
> I'll wait until this has baked on beta before I land it on ESR10.
> 
> Alex, do I need to land on a relbranch to hit the next XUL Fennec 13 beta
> build?

Yes, but we don't have another beta build at this point prior to XF10.0.5's release. Let's instead wait till the ESR released alongside 14+ (if there is one for XF), since it sounds like we're concerned about risk at this point.
Comment 7 Aaron Train [:aaronmt] 2012-06-06 11:22:50 PDT
Verified Fixed on 14.0b6 XF for tablets
Comment 8 Matt Brubeck (:mbrubeck) 2012-06-11 09:31:30 PDT
https://hg.mozilla.org/releases/mozilla-esr10/rev/629da13f0edf
Comment 9 Lukas Blakk [:lsblakk] use ?needinfo 2012-06-14 15:07:29 PDT
Comment on attachment 625281 [details] [diff] [review]
patch

Belated approval for ESR :)

Note You need to log in before you can comment on or make changes to this bug.